POSTGetTransactionFromPending

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/gettransactionfrompending

Get transaction details from the pending pool

Request Body
valuestring

The transaction hash to retrieve information for. Example: 6b0384b180d43421277822627d04b123f1091c0153b8e11326c1298e4d8a9b53

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
contractRetstring

Transaction Execution Results.

Example: SUCCESS

signaturestring[]

Transaction signature.

txIDstring

Transaction ID(Hash).

Example: f34f1c799700a9d83b67fdcadd7be697010a8dbbcd520de4ac46a648e3e7ae3d

contractobject[]

List of contracts included in the transaction.

parameterobject

Contract parameter.

valueobject

Parameter values for the contract type.

amountinteger

Amount transferred. (Unit: sun)

Example: 234000000

owner_addressstring

Address of the account that created the transaction.

Example: 4192c47b086eae54ed142d75ce4806df751bac7551

to_addressstring

Recipient address.

Example: 411113df41d4f3b8b46acc40c266bee87eca42c73d

type_urlstring

Protobuf type URL of the contract parameter.

Example: type.googleapis.com/protocol.TransferContract

typestring

Contract type.

Example: TransferContract

ref_block_bytesstring

The last two bytes of the reference block's number (height), used for transaction validation.

Example: 6d64

ref_block_hashstring

Bytes 8 to 16 of the reference block's hash, used for transaction validation.

Example: f35991f9b546f69f

expirationinteger

Transaction expiration time. (Unit: millisecond)

Example: 1616394384000

timestampinteger

Timestamp. (Unit: millisecond)

Example: 1616394325960

raw_data_hexstring

The transaction's raw data. (Format: hex)

Example: 0a026d642208f35991f9b546f69f4080e5f3c4852f5a68080112640a2d747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e5472616e73666572436f6e747261637412330a154192c47b086eae54ed142d75ce4806df751bac75511215411113df41d4f3b8b46acc40c266bee87eca42c73d18809dca6f70c89ff0c4852f

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/gettransactionfrompending" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "value": "6b0384b180d43421277822627d04b123f1091c0153b8e11326c1298e4d8a9b53",
    "visible": false
  }'
Response
Example · 200
{
  "ret": [
    {
      "contractRet": "SUCCESS"
    }
  ],
  "signature": [
    "693ad22a762a6228423f77cdb36440a3b93d7b1cbec7aa3822454e6146fb2af5075e541f298fcc8d68e51f3d0ae34e7b713e4f1582e70b0eba1b1436c848b15a1b"
  ],
  "txID": "f34f1c799700a9d83b67fdcadd7be697010a8dbbcd520de4ac46a648e3e7ae3d",
  "raw_data": {
    "contract": [
      {
        "parameter": {
          "value": {
            "amount": 234000000,
            "owner_address": "4192c47b086eae54ed142d75ce4806df751bac7551",
            "to_address": "411113df41d4f3b8b46acc40c266bee87eca42c73d"
          },
          "type_url": "type.googleapis.com/protocol.TransferContract"
        },
        "type": "TransferContract"
      }
    ],
    "ref_block_bytes": "6d64",
    "ref_block_hash": "f35991f9b546f69f",
    "expiration": 1616394384000,
    "timestamp": 1616394325960
  },
  "raw_data_hex": "0a026d642208f35991f9b546f69f4080e5f3c4852f5a68080112640a2d747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e5472616e73666572436f6e747261637412330a154192c47b086eae54ed142d75ce4806df751bac75511215411113df41d4f3b8b46acc40c266bee87eca42c73d18809dca6f70c89ff0c4852f"
}